# CalcTaxesInCustMode

Process transactions and adjustments in customer mode

`POST /api/v1/CustMode/CalcTaxesInCustMode`

**API:** SaasPro
**Tag:** CustMode
**API Version:** v1
**Content-Type:** `application/json`
**Accepts:** `text/plain`
**Authentication:** Basic (username + license key)

Source: https://developer.avalara.com/products/communications/api/v1-deprecated/methods/CustMode/CalcTaxesInCustMode/

## Description

Processes a batch of transactions and adjustments in customer mode.

## Request Body

**Schema:** `CalcTaxesInCustModeRequest`

| Property | Type | Required | Description |
|---|---|---|---|
| `Transactions` | Transaction[] | No |  |
| `Adjustments` | Transaction[] | No |  |
| `Exclusions` | Exclusion[] | No |  |
| `ReturnDetail` | boolean | No |  |
| `DocumentCode` | string | No |  |
| `Commit` | boolean | No |  |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `CustomerResults` |

### 200 Response: `CustomerResults`

| Property | Type | Required | Description |
|---|---|---|---|
| `Taxes` | TaxData[] | No |  |
| `SummarizedTaxes` | CustomerTaxData[] | No |  |